#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=taiyuan2.31_depth_histogram.ps
projection=-JX12/10
region=-R1/41/0/8
gmt pshistogram $projection $region -W1 -F -Gcyan -L1p -Z0 -Bxa10f1+l'Depth (km)' -Bya10f1+lCounts -BWeSn+t'Focal Depths taiyuan2.31' -K <<END>> $psfile
    24.000
    20.000
    10.000
    12.000
     7.000
    19.000
    16.000
    21.000
    10.000
    23.000
    12.000
    11.000
    16.000
    11.000
    25.000
    20.000
    10.000
    15.000
    21.000
     8.000
    15.000
    12.000
    29.000
    25.000
    28.000
    36.000
    24.000
    18.000
    15.000
    25.000
    27.000
    26.000
    19.000
    22.000
    19.000
    32.000
    29.000
    17.000
    20.000
    21.000
    18.000
    11.000
     6.000
    24.000
    23.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica,black+a0.+jBL -K -O << END >> $psfile
     7.520     2.000 Median of constrained depths =  19.0
END
gmt pstext -: -R $projection -F+f10p,Helvetica,black+a0.+jBL -O << END >> $psfile
     7.040     2.000 Spread of constrained depths =   7.3
END
